Attribute VB_Name = "Module1"
'****** Um den Mauskursor unsichtbar zu machen *******
Declare Function ShowCursor Lib "user32" (ByVal bShow As Long) As Long

Public DontPlaySound

Public WinWidth            'wie breit der bildschirm in windows is

Public FirstStart          'ob der Tshooter grade gestartet worden is

Public GameIsRunning       'ob das Spiel luft

Public Kills               'Wieviel man schon gekillt hat
Public Credits             'wieviele Punkte (oder Geld) man hat

Public ShowFPS             'ob FPS angezeigt werden sollen
Public Dead                'ob man tot ist
Public Hits                'wie oft man getroffen hat
Public Shots               'wie oft man geschossen hat
Public ShotsPerEnemy       'wie oft man auf einen Gegner geschoosen hat

Public BackPos             ' Position vom Hintergrundbild

Public ENDT                ' ob Tshooter2 beendet werden soll

Public MusicFile           'wo die musikdatei is
Public WhichCross          'welches Crosshair verwendet werden soll
Public MVolume             'Lautstrke der Musik (-2000 bis 0)
Public PlayMusic           'ob Musik gespielt werden soll
Public LoopMusic           'ob die Musik geloopt werden soll
Public SVolume             'Lautstrke der Sounds (-2000 bis 0)
Public SoundError          'ob nen fehler beim absoielen vorkommt
'========== Zur FPS Errechnung ===========

Public F   As Integer      'Durchlaufvariable zur FPS-Errechnung
Public TLast As Single     'Zeit-speicher-variable
Public FPS As Single       'Frames per Second
Public MaxFPS As Single    'maximal erreichte Frames per Second

'========== Auflsung und Farbtiefe ===========
Public ResolutionX
Public ResolutionY
Public Colordepth

'==============================================
Public Paused              'ob des Spiel pausiert wurde
Public Loading             'ob noch geladen wird
Public LoadProgress        'wie weit man mit dem laden ist
Public WhichFile           'welche Datei grade genutzt/geladen wird

Public MultiSizeX
Public MultiSizeY

Public Scrollspeed
'==============================================

'***dort wo die Sound- und Picturefiles sind***
Public SoundPath
Public PicturePath


'*** Konstanten *******************************
Public Const Decals = 300

Public Const MaxEnemies = 10

'***Sound Variablen****************************************************************
Public m_dx As New DirectX7
Public m_ds As DirectSound
Public m_dsBuffer(100) As DirectSoundBuffer        'Die 100 sagt wieviele Sounds maximal abgespielt werden knnen
Public m_bLoaded(100) As Boolean
Public Soundfile(100)
Public Flag As Long                                'ob der Sound geloopt werden soll
Public bufferDesc As DSBUFFERDESC
Public waveFormat As WAVEFORMATEX
Public CountSound                                  'Welcher Sound soll abgespielt werden
Public OldCountSound                               'der zuletzt verwendete Sound



Public Sub LoadSounds(i As Integer, sfile As String)

    '************************ DirectX-Zeugs um den Soundtreiber zu initialisieren ************
    bufferDesc.lFlags = DSBCAPS_CTRLFREQUENCY Or DSBCAPS_CTRLPAN Or DSBCAPS_CTRLVOLUME Or DSBCAPS_STATIC
    
    waveFormat.nFormatTag = WAVE_FORMAT_PCM
    waveFormat.nChannels = 10
    waveFormat.lSamplesPerSec = 22050
    waveFormat.nBitsPerSample = 16
    waveFormat.nBlockAlign = waveFormat.nBitsPerSample / 8 * waveFormat.nChannels
    waveFormat.lAvgBytesPerSec = waveFormat.lSamplesPerSec * waveFormat.nBlockAlign
    On Error GoTo Hzfault
    Set m_dsBuffer(i) = m_ds.CreateSoundBufferFromFile(sfile, bufferDesc, waveFormat)
    DontPlaySound = 0
    
    
    Exit Sub
    
Hzfault:

    DontPlaySound = 1
    MusicFile = SoundPath & "\music.mp3"
    
    If CountSound <> 94 Then
        MsgBox "Dies ist keine gltige mp3-Datei!   Bitte konvertieren sie diese vorher nocheinmal in Wave und dann wieder in Mp3. Zur Not in 22kHz!"
    End If

End Sub


Public Sub PlaySounds()
    
    '***Sounds*************************************************************************
    
    '*** Der gewnschte sound wird in den Speicher geladen **********
    If m_bLoaded(CountSound) = False And CountSound <> 99 Then
        m_bLoaded(CountSound) = True
        LoadSounds CLng(CountSound), SoundPath & Soundfile(CountSound)
    End If
    
    If CountSound = 99 Then LoadSounds CLng(CountSound), "" & Soundfile(CountSound) & ""
    
    
    
    
    '*** Sound wird abgespielt ***
    If DontPlaySound = 0 Then
        m_dsBuffer(CountSound).Play Flag
    End If
    
If DontPlaySound = 0 Then
    
    m_dsBuffer(CountSound).SetVolume SVolume
    If CountSound = 40 Then m_dsBuffer(CountSound).SetVolume SVolume - 600 ' glas.wav wird leiser abgespielt
    If CountSound = 30 And EnemyCount = 1 Then m_dsBuffer(30).SetVolume SVolume - 600
    If CountSound = 30 And EnemyCount = 2 Then m_dsBuffer(30).SetVolume SVolume - 1000
    If CountSound = 30 And EnemyCount = 3 Then m_dsBuffer(30).SetVolume SVolume - 600
    If CountSound = 95 Then m_dsBuffer(95).SetVolume 0
    If CountSound = 81 Then m_dsBuffer(81).SetVolume 0
    If CountSound = 83 Then m_dsBuffer(83).SetVolume 0
    If CountSound = 97 Then m_dsBuffer(97).SetVolume 0
    If CountSound = 98 Then m_dsBuffer(98).SetVolume 0
    
    CountSound = OldCountSound
    'nur wenn man es verndern will ( geht von -10000 bis 0, Standart ist 0)
     
    
    'nur wenn man es verndern will ( geht von -10000 bis 10000, Standars ist 0)
    'm_dsBuffer(CountSound).SetPan 0
    
    '***wie viele Hertz gespielt werden sollen*****************************************
    'ist nur notwendig wenn mann den sound langsammer oder schneller machen will
    'm_dsBuffer(CountSound).SetFrequency 22050

End If
End Sub
